Get Shareable Chat Analytics
curl --request GET \
--url https://api.ontora.com/v1/shareable-chats/{chat_id}/analytics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ontora.com/v1/shareable-chats/{chat_id}/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ontora.com/v1/shareable-chats/{chat_id}/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"usage_summary": {
"session_count": 0,
"message_count": 0,
"unique_user_count": 0,
"last_used_at": "2023-11-07T05:31:56Z",
"last_used_by": {
"email": "<string>",
"name": "<string>"
}
},
"recent_activity": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "message",
"occurred_at": "2023-11-07T05:31:56Z",
"recipient": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>"
},
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"daily_activity": [
{
"date": "2023-12-25",
"messages": 123,
"mcp_tools": 123,
"total": 123,
"active_recipients": 123
}
],
"recipient_breakdown": [
{
"recipient": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>"
},
"messages": 123,
"mcp_tools": 123,
"total": 123,
"last_used_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}shareable-chats
Get Shareable Chat Analytics
GET
/
v1
/
shareable-chats
/
{chat_id}
/
analytics
Get Shareable Chat Analytics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
1 <= x <= 200Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?